///////////////////////////////////////////////////////////////////
//Author: Bo Xiao
//Copyright: Eaglet workroom 2008
//Blog: http://eaglet.cnblogs.com
///////////////////////////////////////////////////////////////////

using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace General.Data
{
    interface IDataReader
    {
        void Connect(string connectString);
        void Close();
        DataSet GetSchema(string queryString);
        void OpenDataReader(string queryString);
        void CloseDataReader();
        DataRow NextRow();
        DataSet Query(string queryString);
        DataSet RangeQuery(string queryString, long first, long last);
    }
}
