use Test
GO

if exists (select * from sysobjects where id = object_id('R_Student') and type = 'u')
	drop table R_Student
GO
create table R_Student
(
	Id          nvarchar(64)  Primary Key,
	Age         tinyint       NOT NULL,
	Sex         tinyint       NOT NULL    
)

GO
Declare
@i int
set @i = 0;
while (@i < 1000000)
begin
insert R_Student values('Name' + Str(@i), @i % 100, @i % 2)
set @i = @i + 1
end

GO
if exists (select * from sysobjects where id = object_id('PagedProc') and type = 'p')
	drop procedure PagedProc
GO
create procedure PagedProc
@currentpage int, -- page no
@pagesize int --page size
as
declare
@sqlstr nvarchar(4000) --Query string

if @currentpage = 1 
begin
set @sqlstr = 'SELECT TOP ' + Str(@pagesize) + '* from r_student'
end
else
begin

set @sqlstr = 'SELECT TOP ' + Str(@pagesize) + ' * from r_student where id not in';
set @sqlstr = @sqlstr + '(SELECT TOP '+ Str((@currentpage-1)*@pagesize) + ' id from  r_student)'

end

exec (@sqlstr)

GO

if exists (select * from sysobjects where id = object_id('PagedProcUseIndex') and type = 'p')
	drop procedure PagedProcUseIndex
GO
create procedure PagedProcUseIndex
@currentpage int, -- page no
@pagesize int --page size
as
declare
@sqlstr nvarchar(4000) --Query string

set @sqlstr = 'SELECT * from r_student where Id >= ''' + 'Name' + Str((@currentpage-1)*@pagesize) + ''' and Id < ''' + 'Name' + Str(@currentpage*@pagesize) + ''''

exec (@sqlstr)